﻿using System;
using System.Windows.Forms;
using HIPS.AppServer.HIPSServiceHost.BackgroundThread;
using HIPS.AppServer.ServiceHost;
using HIPS.Reference.ServiceHost;

namespace HIPS.AppServer.LocalServiceHost
{
    public partial class LocalServiceHostForm : Form
    {
        public LocalServiceHostForm()
        {
            InitializeComponent();
        }

        private void LocalServiceHost_Load(object sender, EventArgs e)
        {
            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(IHIService));
                host.Open();
                messageList.Items.Add("Started IHIService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start IHIService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(PCEHRService));
                host.Open();
                messageList.Items.Add("Started PCEHRService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start PCEHRService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(DatabaseLoaderService));
                host.Open();
                messageList.Items.Add("Started DatabaseLoaderService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start DatabaseLoaderService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(ConsentService));
                host.Open();
                messageList.Items.Add("Started ConsentService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start ConsentService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(ReferenceService));
                host.Open();
                messageList.Items.Add("Started ReferenceService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start ReferenceService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(PumaInterfaceService));
                host.Open();
                messageList.Items.Add("Started PumaInterfaceService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start PumaInterfaceService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(PcehrQueue));
                host.Open();
                messageList.Items.Add("Started PcehrQueue: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start PcehrQueue: " + exc.Message);
            }

            try
            {
                IhiCleanUpServiceHost host = new IhiCleanUpServiceHost(typeof(IhiCleanUpService));
                host.Open();
                messageList.Items.Add("Started IhiCleanUpServiceHost: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start IhiCleanUpServiceHost: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(AssistedRegistrationService));
                host.Open();
                messageList.Items.Add("Started AssistedRegistrationService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start AssistedRegistrationService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(HpiiService));
                host.Open();
                messageList.Items.Add("Started HpiiService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start HpiiService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(HiReferenceService));
                host.Open();
                messageList.Items.Add("Started HiReferenceService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start HiReferenceService: " + exc.Message);
            }

            try
            {
                System.ServiceModel.ServiceHost host = new System.ServiceModel.ServiceHost(typeof(PatientService));
                host.Open();
                messageList.Items.Add("Started PatientService: " + DateTime.Now.ToString("yyyy-MM-ddThh:mm:ss"));
            }
            catch (Exception exc)
            {
                messageList.Items.Add("Could not start PatientService: " + exc.Message);
            }
        }
    }
}