﻿#region Using Directives
using System;
using System.Transactions;
using System.Collections;
using PUMA.ServiceContracts.ServiceInterface;
using HIPS.PcehrDataStore.Schemas;
using System.Collections.Generic;
using HIPS.PcehrDataStore.DataAccess;
using System.Security.Permissions;
#endregion

namespace PUMA.AppServer.ServiceHost
{
    /// <summary>
    /// 
    /// 
    /// 
    /// </summary>
    public class NationalityService : BaseService, ICodeSystemService
    {
        [PrincipalPermission(SecurityAction.Demand, Role = "NoAccess")]
        public List<CodeSystem> GetAll()
        {
            CodeSystemDl dataAccess = new CodeSystemDl();
            return dataAccess.GetAll();
        }

        [PrincipalPermission(SecurityAction.Demand, Role = "NoAccess")]
        public List<CodeSystem> GetAllByDate(DateTime? lastUpdated)
        {
            CodeSystemDl dataAccess = new CodeSystemDl();
            return dataAccess.GetAll(lastUpdated);
        }

        [PrincipalPermission(SecurityAction.Demand, Role = "NoAccess")]
        public CodeSystem Get(int codeSystemId)
        {
            CodeSystemDl dataAccess = new CodeSystemDl();
            return dataAccess.Get(codeSystemId);
        }
    }
}

